<?php

if( ! function_exists("gd_info")){
  die("Sorry.. this script requires the GD library in PHP to function.");
}

$curtemp = 8;
if (isset($_REQUEST['cur'])) { $curtemp = $_REQUEST['cur']; } // for testing

$Tmax = 80;    // maximum Temperatur des Thermometers
$Tmin = 0;     // minimum Temperatur des Thermometers
$Tincr = 2;    // increment number of degrees for major/minor ticks on thermometer
$TMajTick = 10;// major tick with value when scale number divisible by this


function SimpleThermometer( $current ) {

   global  $Tmax,$Tmin,$Tincr,$TMajTick;

   $image = @imagecreatefrompng ('./thermometer-blank.png'); /* Attempt to open */ 
   if (!$image) { /* See if it failed */ 
       $im  = imagecreate (150, 30); /* Create a blank image */ 
       $bgc = imagecolorallocate ($im, 255, 255, 255); 
       $tc  = imagecolorallocate ($im, 0, 0, 0); 
       imagefilledrectangle ($im, 0, 0, 150, 30, $bgc); 
       /* Output an errmsg */ 
       imagestring ($im, 1, 5, 5, "Error loading $imgname", $tc); 
   } 
 

 
 	 $minX = 20; // links
   $maxX = 24; // rechts
   $minY = 20; // oben
   $maxY = 140;// unten
 

   $width = imagesx($image);
   $height = imagesy($image);
   $font = 1.5;

   // Farben definieren
   $bg    = imagecolorallocate($image,255,255,255 );
   $tx    = imagecolorallocate($image,0,0,0);
   $blau  = imagecolorallocate($image,0,0,255);
   $rot   = imagecolorallocate($image,255,0,0);
 
   $Trange = $Tmax - $Tmin; // kompletter temperaturbereich
   $Tpct = ($current-$Tmin)/($Trange); // % des Temperaturbereichs
   $Y = (1-$Tpct)*($maxY-$minY)+$minY; // obere Ecke festlegen
  
   // Temperatur zeichnen 
   imagefilledrectangle( $image, $minX, $Y, $maxX, $maxY, $rot );
				 
  // Temperaturskale		 
  for ($T=$Tmin;$T<=$Tmax;$T+=$Tincr) {
     $Tpct = ($T-$Tmin)/($Trange);
     $Y = (1-$Tpct)*($maxY-$minY)+$minY;
	   if ($T == 0 or ($T % $TMajTick) == 0) { // Major Tick 
	    imagefilledrectangle( $image, $maxX+7 , $Y ,$maxX+12, $Y +1, $tx );
      imagestring($image, $font, $maxX + 14, $Y - (ImageFontHeight($font)/2), sprintf( "%2d", $T),$tx);
	 } else { k
     	imagefilledrectangle( $image, $maxX+7, $Y ,  $maxX+9,     $Y +1, $tx );
	 }
  } // temperaturskala ende
 

    // Legende Zeichnen 
    $tstr = sprintf('%s',round($current,1)); 
    $cnt = $tstr. ' C';
    imagestring( $image, $font+2, ($width/2)-((strlen($cnt)/2)*ImageFontWidth($font+2)),(10-(ImageFontHeight($font+2) / 2)), $cnt, $tx);


    // sende das Bild
    header("content-type: image/png");
    imagepng($image);
    imagedestroy($image);

 } // ende SimpleThermometer

echo SimpleThermometer($curtemp);

?>


